%	test program for the cosegk.m function from the cosereg toolbox.
%	the Regularization Tools toolbox by P.C. Hansen is required.

n = 500;		% size of the problem
ds = 1e-3;		% noise level

[A b1 x1] = shaw(n);	% test problem

truesol = x1;		% model solution
b = A*truesol;		% exact RHS
b = b + ds*randn(n,1);	% add noise

opts.show = 10;
[y k] = cosegk(A,b,opts);
error = norm(y-truesol);

figure(1)
plot([truesol y])
legend('model solution','cose solution','location','northwest')
xlabel( sprintf('k=%d - error=%.2e', k, error))

